import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent, PromiseOrValue } from "../common";
export declare namespace StdInvariant {
    type FuzzSelectorStruct = {
        addr: PromiseOrValue<string>;
        selectors: PromiseOrValue<BytesLike>[];
    };
    type FuzzSelectorStructOutput = [string, string[]] & {
        addr: string;
        selectors: string[];
    };
}
export interface TestGovernanceInterface extends utils.Interface {
    functions: {
        "IS_TEST()": FunctionFragment;
        "arrayElementLocation(bytes32,uint8)": FunctionFragment;
        "excludeArtifacts()": FunctionFragment;
        "excludeContracts()": FunctionFragment;
        "excludeSenders()": FunctionFragment;
        "failed()": FunctionFragment;
        "hashedLocation(bytes32,bytes32)": FunctionFragment;
        "hashedLocation(address,bytes32)": FunctionFragment;
        "hashedLocationOffset(uint32,bytes32,uint256)": FunctionFragment;
        "kevm()": FunctionFragment;
        "setUp()": FunctionFragment;
        "storeWithMask(address,bytes32,bytes32,bytes32)": FunctionFragment;
        "targetArtifactSelectors()": FunctionFragment;
        "targetArtifacts()": FunctionFragment;
        "targetContracts()": FunctionFragment;
        "targetSelectors()": FunctionFragment;
        "targetSenders()": FunctionFragment;
        "testInitialize_after_upgrade_revert(bytes32,address)": FunctionFragment;
        "testSubmitContractUpgrade(bytes32,uint32,uint32,uint64,uint8)": FunctionFragment;
        "testSubmitContractUpgrade_Emit(bytes32,uint32,uint32,uint64,uint8)": FunctionFragment;
        "testSubmitContractUpgrade_Revert_InvalidChain(bytes32,uint32,uint32,uint64,uint8,uint16)": FunctionFragment;
        "testSubmitContractUpgrade_Revert_InvalidFork(bytes32,uint64,uint32,uint32,uint64,uint8)": FunctionFragment;
        "testSubmitContractUpgrade_Revert_InvalidGuardianSetIndex(bytes32,uint32,uint32,uint32,uint64,uint8)": FunctionFragment;
        "testSubmitContractUpgrade_Revert_InvalidModule(bytes32,uint32,uint32,uint64,uint8,bytes32)": FunctionFragment;
        "testSubmitContractUpgrade_Revert_ReplayAttack(bytes32,uint32,uint32,uint64,uint8)": FunctionFragment;
        "testSubmitContractUpgrade_Revert_WrongGovernanceChain(bytes32,uint32,uint32,uint16,uint64,uint8)": FunctionFragment;
        "testSubmitContractUpgrade_Revert_WrongGovernanceContract(bytes32,uint32,uint32,bytes32,uint64,uint8)": FunctionFragment;
        "testSubmitNewGuardianSet(bytes32,uint32,uint32,uint64,uint8,address[])": FunctionFragment;
        "testSubmitNewGuardianSet_Revert_GuardianSetEmpty(bytes32,uint64,uint32,uint32,uint64,uint8,uint16)": FunctionFragment;
        "testSubmitNewGuardianSet_Revert_InvalidChain(bytes32,uint32,uint32,uint64,uint8,uint16,address[])": FunctionFragment;
        "testSubmitNewGuardianSet_Revert_InvalidEvmChain(bytes32,uint64,uint32,uint32,uint64,uint8,address[])": FunctionFragment;
        "testSubmitNewGuardianSet_Revert_InvalidGuardianSetIndex(bytes32,uint32,uint64,uint32,uint32,uint64,uint8,uint16,address[])": FunctionFragment;
        "testSubmitNewGuardianSet_Revert_InvalidModule(bytes32,uint64,uint32,uint32,uint64,uint8,bytes32,uint16,address[])": FunctionFragment;
        "testSubmitNewGuardianSet_Revert_ReplayAttack(bytes32,uint32,uint32,uint64,uint8,address[])": FunctionFragment;
        "testSubmitNewGuardianSet_Revert_WrongGovernanceChain(bytes32,uint64,uint32,uint32,uint16,uint64,uint8,uint16,address[])": FunctionFragment;
        "testSubmitNewGuardianSet_Revert_WrongGovernanceContract(bytes32,uint64,uint32,uint32,bytes32,uint64,uint8,uint16,address[])": FunctionFragment;
        "testSubmitNewGuardianSet_Revert_WrongIndex(bytes32,uint64,uint32,uint32,uint64,uint8,uint16,uint32,address[])": FunctionFragment;
        "testSubmitRecoverChainId(bytes32,uint32,uint32,uint64,uint8,uint256,uint16)": FunctionFragment;
        "testSubmitRecoverChainId_Revert_InvalidEVMChain(bytes32,uint64,uint32,uint32,uint64,uint8,uint256,uint16)": FunctionFragment;
        "testSubmitRecoverChainId_Revert_InvalidGuardianSetIndex(bytes32,uint32,uint32,uint32,uint64,uint8,uint256,uint16)": FunctionFragment;
        "testSubmitRecoverChainId_Revert_InvalidModule(bytes32,uint32,uint32,uint64,uint8,bytes32,uint256,uint16)": FunctionFragment;
        "testSubmitRecoverChainId_Revert_NotAFork(bytes32,uint32,uint32,uint64,uint8,uint256,uint16)": FunctionFragment;
        "testSubmitRecoverChainId_Revert_ReplayAttack(bytes32,uint32,uint32,uint64,uint8,uint256,uint16)": FunctionFragment;
        "testSubmitRecoverChainId_Revert_WrongGovernanceChain(bytes32,uint32,uint32,uint16,uint64,uint8,uint256,uint16)": FunctionFragment;
        "testSubmitRecoverChainId_Revert_WrongGovernanceContract(bytes32,uint32,uint32,bytes32,uint64,uint8,uint256,uint16)": FunctionFragment;
        "testSubmitSetMessageFee(bytes32,uint32,uint32,uint64,uint8,uint256)": FunctionFragment;
        "testSubmitSetMessageFee_Revert_InvalidChain(bytes32,uint32,uint32,uint64,uint8,uint16,uint256)": FunctionFragment;
        "testSubmitSetMessageFee_Revert_InvalidEvmChain(bytes32,uint64,uint32,uint32,uint64,uint8,uint256)": FunctionFragment;
        "testSubmitSetMessageFee_Revert_InvalidGuardianSetIndex(bytes32,uint32,uint32,uint32,uint64,uint8,uint256)": FunctionFragment;
        "testSubmitSetMessageFee_Revert_InvalidModule(bytes32,uint32,uint32,uint64,uint8,bytes32,uint256)": FunctionFragment;
        "testSubmitSetMessageFee_Revert_ReplayAttack(bytes32,uint32,uint32,uint64,uint8,uint256)": FunctionFragment;
        "testSubmitSetMessageFee_Revert_WrongGovernanceChain(bytes32,uint32,uint32,uint16,uint64,uint8,uint256)": FunctionFragment;
        "testSubmitSetMessageFee_Revert_WrongGovernanceContract(bytes32,uint32,uint32,bytes32,uint64,uint8,uint256)": FunctionFragment;
        "testSubmitTransferFees(bytes32,uint32,uint32,uint64,uint8,uint256,bytes32)": FunctionFragment;
        "testSubmitTransferFees_Revert_InvalidChain(bytes32,uint32,uint32,uint64,uint8,uint16,uint256,bytes32)": FunctionFragment;
        "testSubmitTransferFees_Revert_InvalidEvmChain(bytes32,uint64,uint32,uint32,uint64,uint8,uint256,bytes32)": FunctionFragment;
        "testSubmitTransferFees_Revert_InvalidGuardianSet(bytes32,uint64,uint32,uint32,uint32,uint64,uint8,uint16,uint256,bytes32)": FunctionFragment;
        "testSubmitTransferFees_Revert_InvalidModule(bytes32,uint64,uint32,uint32,uint64,uint8,bytes32,uint16,uint256,bytes32)": FunctionFragment;
        "testSubmitTransferFees_Revert_ReplayAttack(bytes32,uint32,uint32,uint64,uint8,uint256,bytes32)": FunctionFragment;
        "testSubmitTransferFees_Revert_WrongGovernanceChain(bytes32,uint64,uint32,uint32,uint16,uint64,uint8,uint16,uint256,bytes32)": FunctionFragment;
        "testSubmitTransferFees_Revert_WrongGovernanceContract(bytes32,uint64,uint32,uint32,bytes32,uint64,uint8,uint16,uint256,bytes32)": FunctionFragment;
        "validSignature(uint256,bytes32)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "IS_TEST" | "arrayElementLocation" | "excludeArtifacts" | "excludeContracts" | "excludeSenders" | "failed" | "hashedLocation(bytes32,bytes32)" | "hashedLocation(address,bytes32)" | "hashedLocationOffset" | "kevm" | "setUp" | "storeWithMask" | "targetArtifactSelectors" | "targetArtifacts" | "targetContracts" | "targetSelectors" | "targetSenders" | "testInitialize_after_upgrade_revert" | "testSubmitContractUpgrade" | "testSubmitContractUpgrade_Emit" | "testSubmitContractUpgrade_Revert_InvalidChain" | "testSubmitContractUpgrade_Revert_InvalidFork" | "testSubmitContractUpgrade_Revert_InvalidGuardianSetIndex" | "testSubmitContractUpgrade_Revert_InvalidModule" | "testSubmitContractUpgrade_Revert_ReplayAttack" | "testSubmitContractUpgrade_Revert_WrongGovernanceChain" | "testSubmitContractUpgrade_Revert_WrongGovernanceContract" | "testSubmitNewGuardianSet" | "testSubmitNewGuardianSet_Revert_GuardianSetEmpty" | "testSubmitNewGuardianSet_Revert_InvalidChain" | "testSubmitNewGuardianSet_Revert_InvalidEvmChain" | "testSubmitNewGuardianSet_Revert_InvalidGuardianSetIndex" | "testSubmitNewGuardianSet_Revert_InvalidModule" | "testSubmitNewGuardianSet_Revert_ReplayAttack" | "testSubmitNewGuardianSet_Revert_WrongGovernanceChain" | "testSubmitNewGuardianSet_Revert_WrongGovernanceContract" | "testSubmitNewGuardianSet_Revert_WrongIndex" | "testSubmitRecoverChainId" | "testSubmitRecoverChainId_Revert_InvalidEVMChain" | "testSubmitRecoverChainId_Revert_InvalidGuardianSetIndex" | "testSubmitRecoverChainId_Revert_InvalidModule" | "testSubmitRecoverChainId_Revert_NotAFork" | "testSubmitRecoverChainId_Revert_ReplayAttack" | "testSubmitRecoverChainId_Revert_WrongGovernanceChain" | "testSubmitRecoverChainId_Revert_WrongGovernanceContract" | "testSubmitSetMessageFee" | "testSubmitSetMessageFee_Revert_InvalidChain" | "testSubmitSetMessageFee_Revert_InvalidEvmChain" | "testSubmitSetMessageFee_Revert_InvalidGuardianSetIndex" | "testSubmitSetMessageFee_Revert_InvalidModule" | "testSubmitSetMessageFee_Revert_ReplayAttack" | "testSubmitSetMessageFee_Revert_WrongGovernanceChain" | "testSubmitSetMessageFee_Revert_WrongGovernanceContract" | "testSubmitTransferFees" | "testSubmitTransferFees_Revert_InvalidChain" | "testSubmitTransferFees_Revert_InvalidEvmChain" | "testSubmitTransferFees_Revert_InvalidGuardianSet" | "testSubmitTransferFees_Revert_InvalidModule" | "testSubmitTransferFees_Revert_ReplayAttack" | "testSubmitTransferFees_Revert_WrongGovernanceChain" | "testSubmitTransferFees_Revert_WrongGovernanceContract" | "validSignature"): FunctionFragment;
    encodeFunctionData(functionFragment: "IS_TEST", values?: undefined): string;
    encodeFunctionData(functionFragment: "arrayElementLocation", values: [PromiseOrValue<BytesLike>, PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "excludeArtifacts", values?: undefined): string;
    encodeFunctionData(functionFragment: "excludeContracts", values?: undefined): string;
    encodeFunctionData(functionFragment: "excludeSenders", values?: undefined): string;
    encodeFunctionData(functionFragment: "failed", values?: undefined): string;
    encodeFunctionData(functionFragment: "hashedLocation(bytes32,bytes32)", values: [PromiseOrValue<BytesLike>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "hashedLocation(address,bytes32)", values: [PromiseOrValue<string>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "hashedLocationOffset", values: [
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "kevm", values?: undefined): string;
    encodeFunctionData(functionFragment: "setUp", values?: undefined): string;
    encodeFunctionData(functionFragment: "storeWithMask", values: [
        PromiseOrValue<string>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "targetArtifactSelectors", values?: undefined): string;
    encodeFunctionData(functionFragment: "targetArtifacts", values?: undefined): string;
    encodeFunctionData(functionFragment: "targetContracts", values?: undefined): string;
    encodeFunctionData(functionFragment: "targetSelectors", values?: undefined): string;
    encodeFunctionData(functionFragment: "targetSenders", values?: undefined): string;
    encodeFunctionData(functionFragment: "testInitialize_after_upgrade_revert", values: [PromiseOrValue<BytesLike>, PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "testSubmitContractUpgrade", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitContractUpgrade_Emit", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitContractUpgrade_Revert_InvalidChain", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitContractUpgrade_Revert_InvalidFork", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitContractUpgrade_Revert_InvalidGuardianSetIndex", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitContractUpgrade_Revert_InvalidModule", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitContractUpgrade_Revert_ReplayAttack", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitContractUpgrade_Revert_WrongGovernanceChain", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitContractUpgrade_Revert_WrongGovernanceContract", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitNewGuardianSet", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<string>[]
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitNewGuardianSet_Revert_GuardianSetEmpty", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitNewGuardianSet_Revert_InvalidChain", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<string>[]
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitNewGuardianSet_Revert_InvalidEvmChain", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<string>[]
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitNewGuardianSet_Revert_InvalidGuardianSetIndex", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<string>[]
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitNewGuardianSet_Revert_InvalidModule", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<string>[]
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitNewGuardianSet_Revert_ReplayAttack", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<string>[]
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitNewGuardianSet_Revert_WrongGovernanceChain", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<string>[]
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitNewGuardianSet_Revert_WrongGovernanceContract", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<string>[]
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitNewGuardianSet_Revert_WrongIndex", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<string>[]
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitRecoverChainId", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitRecoverChainId_Revert_InvalidEVMChain", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitRecoverChainId_Revert_InvalidGuardianSetIndex", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitRecoverChainId_Revert_InvalidModule", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitRecoverChainId_Revert_NotAFork", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitRecoverChainId_Revert_ReplayAttack", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitRecoverChainId_Revert_WrongGovernanceChain", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitRecoverChainId_Revert_WrongGovernanceContract", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitSetMessageFee", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitSetMessageFee_Revert_InvalidChain", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitSetMessageFee_Revert_InvalidEvmChain", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitSetMessageFee_Revert_InvalidGuardianSetIndex", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitSetMessageFee_Revert_InvalidModule", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitSetMessageFee_Revert_ReplayAttack", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitSetMessageFee_Revert_WrongGovernanceChain", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitSetMessageFee_Revert_WrongGovernanceContract", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitTransferFees", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitTransferFees_Revert_InvalidChain", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitTransferFees_Revert_InvalidEvmChain", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitTransferFees_Revert_InvalidGuardianSet", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitTransferFees_Revert_InvalidModule", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitTransferFees_Revert_ReplayAttack", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitTransferFees_Revert_WrongGovernanceChain", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testSubmitTransferFees_Revert_WrongGovernanceContract", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "validSignature", values: [PromiseOrValue<BigNumberish>, PromiseOrValue<BytesLike>]): string;
    decodeFunctionResult(functionFragment: "IS_TEST", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "arrayElementLocation", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "excludeArtifacts", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "excludeContracts", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "excludeSenders", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "failed", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "hashedLocation(bytes32,bytes32)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "hashedLocation(address,bytes32)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "hashedLocationOffset", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "kevm", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setUp", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "storeWithMask", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetArtifactSelectors", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetArtifacts", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetContracts", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetSelectors", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetSenders", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testInitialize_after_upgrade_revert", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitContractUpgrade", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitContractUpgrade_Emit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitContractUpgrade_Revert_InvalidChain", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitContractUpgrade_Revert_InvalidFork", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitContractUpgrade_Revert_InvalidGuardianSetIndex", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitContractUpgrade_Revert_InvalidModule", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitContractUpgrade_Revert_ReplayAttack", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitContractUpgrade_Revert_WrongGovernanceChain", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitContractUpgrade_Revert_WrongGovernanceContract", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitNewGuardianSet", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitNewGuardianSet_Revert_GuardianSetEmpty", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitNewGuardianSet_Revert_InvalidChain", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitNewGuardianSet_Revert_InvalidEvmChain", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitNewGuardianSet_Revert_InvalidGuardianSetIndex", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitNewGuardianSet_Revert_InvalidModule", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitNewGuardianSet_Revert_ReplayAttack", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitNewGuardianSet_Revert_WrongGovernanceChain", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitNewGuardianSet_Revert_WrongGovernanceContract", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitNewGuardianSet_Revert_WrongIndex", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitRecoverChainId", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitRecoverChainId_Revert_InvalidEVMChain", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitRecoverChainId_Revert_InvalidGuardianSetIndex", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitRecoverChainId_Revert_InvalidModule", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitRecoverChainId_Revert_NotAFork", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitRecoverChainId_Revert_ReplayAttack", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitRecoverChainId_Revert_WrongGovernanceChain", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitRecoverChainId_Revert_WrongGovernanceContract", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitSetMessageFee", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitSetMessageFee_Revert_InvalidChain", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitSetMessageFee_Revert_InvalidEvmChain", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitSetMessageFee_Revert_InvalidGuardianSetIndex", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitSetMessageFee_Revert_InvalidModule", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitSetMessageFee_Revert_ReplayAttack", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitSetMessageFee_Revert_WrongGovernanceChain", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitSetMessageFee_Revert_WrongGovernanceContract", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitTransferFees", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitTransferFees_Revert_InvalidChain", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitTransferFees_Revert_InvalidEvmChain", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitTransferFees_Revert_InvalidGuardianSet", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitTransferFees_Revert_InvalidModule", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitTransferFees_Revert_ReplayAttack", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitTransferFees_Revert_WrongGovernanceChain", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testSubmitTransferFees_Revert_WrongGovernanceContract", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "validSignature", data: BytesLike): Result;
    events: {
        "ContractUpgraded(address,address)": EventFragment;
        "log(string)": EventFragment;
        "log_address(address)": EventFragment;
        "log_array(uint256[])": EventFragment;
        "log_array(int256[])": EventFragment;
        "log_array(address[])": EventFragment;
        "log_bytes(bytes)": EventFragment;
        "log_bytes32(bytes32)": EventFragment;
        "log_int(int256)": EventFragment;
        "log_named_address(string,address)": EventFragment;
        "log_named_array(string,uint256[])": EventFragment;
        "log_named_array(string,int256[])": EventFragment;
        "log_named_array(string,address[])": EventFragment;
        "log_named_bytes(string,bytes)": EventFragment;
        "log_named_bytes32(string,bytes32)": EventFragment;
        "log_named_decimal_int(string,int256,uint256)": EventFragment;
        "log_named_decimal_uint(string,uint256,uint256)": EventFragment;
        "log_named_int(string,int256)": EventFragment;
        "log_named_string(string,string)": EventFragment;
        "log_named_uint(string,uint256)": EventFragment;
        "log_string(string)": EventFragment;
        "log_uint(uint256)": EventFragment;
        "logs(bytes)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "ContractUpgraded"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_address"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_array(uint256[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_array(int256[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_array(address[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_bytes"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_bytes32"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_int"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_address"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_array(string,uint256[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_array(string,int256[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_array(string,address[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_bytes"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_bytes32"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_decimal_int"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_decimal_uint"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_int"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_string"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_uint"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_string"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_uint"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "logs"): EventFragment;
}
export interface ContractUpgradedEventObject {
    oldContract: string;
    newContract: string;
}
export declare type ContractUpgradedEvent = TypedEvent<[
    string,
    string
], ContractUpgradedEventObject>;
export declare type ContractUpgradedEventFilter = TypedEventFilter<ContractUpgradedEvent>;
export interface logEventObject {
    arg0: string;
}
export declare type logEvent = TypedEvent<[string], logEventObject>;
export declare type logEventFilter = TypedEventFilter<logEvent>;
export interface log_addressEventObject {
    arg0: string;
}
export declare type log_addressEvent = TypedEvent<[string], log_addressEventObject>;
export declare type log_addressEventFilter = TypedEventFilter<log_addressEvent>;
export interface log_array_uint256_array_EventObject {
    val: BigNumber[];
}
export declare type log_array_uint256_array_Event = TypedEvent<[
    BigNumber[]
], log_array_uint256_array_EventObject>;
export declare type log_array_uint256_array_EventFilter = TypedEventFilter<log_array_uint256_array_Event>;
export interface log_array_int256_array_EventObject {
    val: BigNumber[];
}
export declare type log_array_int256_array_Event = TypedEvent<[
    BigNumber[]
], log_array_int256_array_EventObject>;
export declare type log_array_int256_array_EventFilter = TypedEventFilter<log_array_int256_array_Event>;
export interface log_array_address_array_EventObject {
    val: string[];
}
export declare type log_array_address_array_Event = TypedEvent<[
    string[]
], log_array_address_array_EventObject>;
export declare type log_array_address_array_EventFilter = TypedEventFilter<log_array_address_array_Event>;
export interface log_bytesEventObject {
    arg0: string;
}
export declare type log_bytesEvent = TypedEvent<[string], log_bytesEventObject>;
export declare type log_bytesEventFilter = TypedEventFilter<log_bytesEvent>;
export interface log_bytes32EventObject {
    arg0: string;
}
export declare type log_bytes32Event = TypedEvent<[string], log_bytes32EventObject>;
export declare type log_bytes32EventFilter = TypedEventFilter<log_bytes32Event>;
export interface log_intEventObject {
    arg0: BigNumber;
}
export declare type log_intEvent = TypedEvent<[BigNumber], log_intEventObject>;
export declare type log_intEventFilter = TypedEventFilter<log_intEvent>;
export interface log_named_addressEventObject {
    key: string;
    val: string;
}
export declare type log_named_addressEvent = TypedEvent<[
    string,
    string
], log_named_addressEventObject>;
export declare type log_named_addressEventFilter = TypedEventFilter<log_named_addressEvent>;
export interface log_named_array_string_uint256_array_EventObject {
    key: string;
    val: BigNumber[];
}
export declare type log_named_array_string_uint256_array_Event = TypedEvent<[
    string,
    BigNumber[]
], log_named_array_string_uint256_array_EventObject>;
export declare type log_named_array_string_uint256_array_EventFilter = TypedEventFilter<log_named_array_string_uint256_array_Event>;
export interface log_named_array_string_int256_array_EventObject {
    key: string;
    val: BigNumber[];
}
export declare type log_named_array_string_int256_array_Event = TypedEvent<[
    string,
    BigNumber[]
], log_named_array_string_int256_array_EventObject>;
export declare type log_named_array_string_int256_array_EventFilter = TypedEventFilter<log_named_array_string_int256_array_Event>;
export interface log_named_array_string_address_array_EventObject {
    key: string;
    val: string[];
}
export declare type log_named_array_string_address_array_Event = TypedEvent<[
    string,
    string[]
], log_named_array_string_address_array_EventObject>;
export declare type log_named_array_string_address_array_EventFilter = TypedEventFilter<log_named_array_string_address_array_Event>;
export interface log_named_bytesEventObject {
    key: string;
    val: string;
}
export declare type log_named_bytesEvent = TypedEvent<[
    string,
    string
], log_named_bytesEventObject>;
export declare type log_named_bytesEventFilter = TypedEventFilter<log_named_bytesEvent>;
export interface log_named_bytes32EventObject {
    key: string;
    val: string;
}
export declare type log_named_bytes32Event = TypedEvent<[
    string,
    string
], log_named_bytes32EventObject>;
export declare type log_named_bytes32EventFilter = TypedEventFilter<log_named_bytes32Event>;
export interface log_named_decimal_intEventObject {
    key: string;
    val: BigNumber;
    decimals: BigNumber;
}
export declare type log_named_decimal_intEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], log_named_decimal_intEventObject>;
export declare type log_named_decimal_intEventFilter = TypedEventFilter<log_named_decimal_intEvent>;
export interface log_named_decimal_uintEventObject {
    key: string;
    val: BigNumber;
    decimals: BigNumber;
}
export declare type log_named_decimal_uintEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], log_named_decimal_uintEventObject>;
export declare type log_named_decimal_uintEventFilter = TypedEventFilter<log_named_decimal_uintEvent>;
export interface log_named_intEventObject {
    key: string;
    val: BigNumber;
}
export declare type log_named_intEvent = TypedEvent<[
    string,
    BigNumber
], log_named_intEventObject>;
export declare type log_named_intEventFilter = TypedEventFilter<log_named_intEvent>;
export interface log_named_stringEventObject {
    key: string;
    val: string;
}
export declare type log_named_stringEvent = TypedEvent<[
    string,
    string
], log_named_stringEventObject>;
export declare type log_named_stringEventFilter = TypedEventFilter<log_named_stringEvent>;
export interface log_named_uintEventObject {
    key: string;
    val: BigNumber;
}
export declare type log_named_uintEvent = TypedEvent<[
    string,
    BigNumber
], log_named_uintEventObject>;
export declare type log_named_uintEventFilter = TypedEventFilter<log_named_uintEvent>;
export interface log_stringEventObject {
    arg0: string;
}
export declare type log_stringEvent = TypedEvent<[string], log_stringEventObject>;
export declare type log_stringEventFilter = TypedEventFilter<log_stringEvent>;
export interface log_uintEventObject {
    arg0: BigNumber;
}
export declare type log_uintEvent = TypedEvent<[BigNumber], log_uintEventObject>;
export declare type log_uintEventFilter = TypedEventFilter<log_uintEvent>;
export interface logsEventObject {
    arg0: string;
}
export declare type logsEvent = TypedEvent<[string], logsEventObject>;
export declare type logsEventFilter = TypedEventFilter<logsEvent>;
export interface TestGovernance extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: TestGovernanceInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        IS_TEST(overrides?: CallOverrides): Promise<[boolean]>;
        arrayElementLocation(keyHash: PromiseOrValue<BytesLike>, arrayOffset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<[string]>;
        excludeArtifacts(overrides?: CallOverrides): Promise<[string[]] & {
            excludedArtifacts_: string[];
        }>;
        excludeContracts(overrides?: CallOverrides): Promise<[string[]] & {
            excludedContracts_: string[];
        }>;
        excludeSenders(overrides?: CallOverrides): Promise<[string[]] & {
            excludedSenders_: string[];
        }>;
        failed(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        "hashedLocation(bytes32,bytes32)"(_key: PromiseOrValue<BytesLike>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<[string]>;
        "hashedLocation(address,bytes32)"(_key: PromiseOrValue<string>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<[string]>;
        hashedLocationOffset(_key: PromiseOrValue<BigNumberish>, _index: PromiseOrValue<BytesLike>, offset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<[string]>;
        kevm(overrides?: CallOverrides): Promise<[string]>;
        setUp(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        storeWithMask(contractAddress: PromiseOrValue<string>, storageSlot: PromiseOrValue<BytesLike>, content: PromiseOrValue<BytesLike>, mask: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        targetArtifactSelectors(overrides?: CallOverrides): Promise<[
            StdInvariant.FuzzSelectorStructOutput[]
        ] & {
            targetedArtifactSelectors_: StdInvariant.FuzzSelectorStructOutput[];
        }>;
        targetArtifacts(overrides?: CallOverrides): Promise<[string[]] & {
            targetedArtifacts_: string[];
        }>;
        targetContracts(overrides?: CallOverrides): Promise<[string[]] & {
            targetedContracts_: string[];
        }>;
        targetSelectors(overrides?: CallOverrides): Promise<[
            StdInvariant.FuzzSelectorStructOutput[]
        ] & {
            targetedSelectors_: StdInvariant.FuzzSelectorStructOutput[];
        }>;
        targetSenders(overrides?: CallOverrides): Promise<[string[]] & {
            targetedSenders_: string[];
        }>;
        testInitialize_after_upgrade_revert(storageSlot: PromiseOrValue<BytesLike>, alice: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitContractUpgrade(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitContractUpgrade_Emit(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitContractUpgrade_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitContractUpgrade_Revert_InvalidFork(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitContractUpgrade_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitContractUpgrade_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitContractUpgrade_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitContractUpgrade_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitContractUpgrade_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitNewGuardianSet(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitNewGuardianSet_Revert_GuardianSetEmpty(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitNewGuardianSet_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitNewGuardianSet_Revert_InvalidEvmChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitNewGuardianSet_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitNewGuardianSet_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitNewGuardianSet_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitNewGuardianSet_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitNewGuardianSet_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitNewGuardianSet_Revert_WrongIndex(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSetIndex: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitRecoverChainId(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitRecoverChainId_Revert_InvalidEVMChain(storageSlot: PromiseOrValue<BytesLike>, blockChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitRecoverChainId_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitRecoverChainId_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitRecoverChainId_Revert_NotAFork(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitRecoverChainId_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitRecoverChainId_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitRecoverChainId_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitSetMessageFee(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitSetMessageFee_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitSetMessageFee_Revert_InvalidEvmChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitSetMessageFee_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitSetMessageFee_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitSetMessageFee_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitSetMessageFee_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitSetMessageFee_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitTransferFees(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitTransferFees_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitTransferFees_Revert_InvalidEvmChain(storageSlot: PromiseOrValue<BytesLike>, evmchainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitTransferFees_Revert_InvalidGuardianSet(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitTransferFees_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitTransferFees_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitTransferFees_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testSubmitTransferFees_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        validSignature(pk: PromiseOrValue<BigNumberish>, hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<[string] & {
            signature: string;
        }>;
    };
    IS_TEST(overrides?: CallOverrides): Promise<boolean>;
    arrayElementLocation(keyHash: PromiseOrValue<BytesLike>, arrayOffset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<string>;
    excludeArtifacts(overrides?: CallOverrides): Promise<string[]>;
    excludeContracts(overrides?: CallOverrides): Promise<string[]>;
    excludeSenders(overrides?: CallOverrides): Promise<string[]>;
    failed(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    "hashedLocation(bytes32,bytes32)"(_key: PromiseOrValue<BytesLike>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
    "hashedLocation(address,bytes32)"(_key: PromiseOrValue<string>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
    hashedLocationOffset(_key: PromiseOrValue<BigNumberish>, _index: PromiseOrValue<BytesLike>, offset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<string>;
    kevm(overrides?: CallOverrides): Promise<string>;
    setUp(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    storeWithMask(contractAddress: PromiseOrValue<string>, storageSlot: PromiseOrValue<BytesLike>, content: PromiseOrValue<BytesLike>, mask: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    targetArtifactSelectors(overrides?: CallOverrides): Promise<StdInvariant.FuzzSelectorStructOutput[]>;
    targetArtifacts(overrides?: CallOverrides): Promise<string[]>;
    targetContracts(overrides?: CallOverrides): Promise<string[]>;
    targetSelectors(overrides?: CallOverrides): Promise<StdInvariant.FuzzSelectorStructOutput[]>;
    targetSenders(overrides?: CallOverrides): Promise<string[]>;
    testInitialize_after_upgrade_revert(storageSlot: PromiseOrValue<BytesLike>, alice: PromiseOrValue<string>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitContractUpgrade(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitContractUpgrade_Emit(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitContractUpgrade_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitContractUpgrade_Revert_InvalidFork(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitContractUpgrade_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitContractUpgrade_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitContractUpgrade_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitContractUpgrade_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitContractUpgrade_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitNewGuardianSet(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitNewGuardianSet_Revert_GuardianSetEmpty(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitNewGuardianSet_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitNewGuardianSet_Revert_InvalidEvmChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitNewGuardianSet_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitNewGuardianSet_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitNewGuardianSet_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitNewGuardianSet_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitNewGuardianSet_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitNewGuardianSet_Revert_WrongIndex(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSetIndex: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitRecoverChainId(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitRecoverChainId_Revert_InvalidEVMChain(storageSlot: PromiseOrValue<BytesLike>, blockChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitRecoverChainId_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitRecoverChainId_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitRecoverChainId_Revert_NotAFork(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitRecoverChainId_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitRecoverChainId_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitRecoverChainId_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitSetMessageFee(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitSetMessageFee_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitSetMessageFee_Revert_InvalidEvmChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitSetMessageFee_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitSetMessageFee_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitSetMessageFee_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitSetMessageFee_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitSetMessageFee_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitTransferFees(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitTransferFees_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitTransferFees_Revert_InvalidEvmChain(storageSlot: PromiseOrValue<BytesLike>, evmchainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitTransferFees_Revert_InvalidGuardianSet(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitTransferFees_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitTransferFees_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitTransferFees_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testSubmitTransferFees_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    validSignature(pk: PromiseOrValue<BigNumberish>, hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
    callStatic: {
        IS_TEST(overrides?: CallOverrides): Promise<boolean>;
        arrayElementLocation(keyHash: PromiseOrValue<BytesLike>, arrayOffset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<string>;
        excludeArtifacts(overrides?: CallOverrides): Promise<string[]>;
        excludeContracts(overrides?: CallOverrides): Promise<string[]>;
        excludeSenders(overrides?: CallOverrides): Promise<string[]>;
        failed(overrides?: CallOverrides): Promise<boolean>;
        "hashedLocation(bytes32,bytes32)"(_key: PromiseOrValue<BytesLike>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
        "hashedLocation(address,bytes32)"(_key: PromiseOrValue<string>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
        hashedLocationOffset(_key: PromiseOrValue<BigNumberish>, _index: PromiseOrValue<BytesLike>, offset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<string>;
        kevm(overrides?: CallOverrides): Promise<string>;
        setUp(overrides?: CallOverrides): Promise<void>;
        storeWithMask(contractAddress: PromiseOrValue<string>, storageSlot: PromiseOrValue<BytesLike>, content: PromiseOrValue<BytesLike>, mask: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
        targetArtifactSelectors(overrides?: CallOverrides): Promise<StdInvariant.FuzzSelectorStructOutput[]>;
        targetArtifacts(overrides?: CallOverrides): Promise<string[]>;
        targetContracts(overrides?: CallOverrides): Promise<string[]>;
        targetSelectors(overrides?: CallOverrides): Promise<StdInvariant.FuzzSelectorStructOutput[]>;
        targetSenders(overrides?: CallOverrides): Promise<string[]>;
        testInitialize_after_upgrade_revert(storageSlot: PromiseOrValue<BytesLike>, alice: PromiseOrValue<string>, overrides?: CallOverrides): Promise<void>;
        testSubmitContractUpgrade(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitContractUpgrade_Emit(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitContractUpgrade_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitContractUpgrade_Revert_InvalidFork(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitContractUpgrade_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitContractUpgrade_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testSubmitContractUpgrade_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitContractUpgrade_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitContractUpgrade_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitNewGuardianSet(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: CallOverrides): Promise<void>;
        testSubmitNewGuardianSet_Revert_GuardianSetEmpty(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitNewGuardianSet_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: CallOverrides): Promise<void>;
        testSubmitNewGuardianSet_Revert_InvalidEvmChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: CallOverrides): Promise<void>;
        testSubmitNewGuardianSet_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: CallOverrides): Promise<void>;
        testSubmitNewGuardianSet_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: CallOverrides): Promise<void>;
        testSubmitNewGuardianSet_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: CallOverrides): Promise<void>;
        testSubmitNewGuardianSet_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: CallOverrides): Promise<void>;
        testSubmitNewGuardianSet_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: CallOverrides): Promise<void>;
        testSubmitNewGuardianSet_Revert_WrongIndex(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSetIndex: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: CallOverrides): Promise<void>;
        testSubmitRecoverChainId(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitRecoverChainId_Revert_InvalidEVMChain(storageSlot: PromiseOrValue<BytesLike>, blockChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitRecoverChainId_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitRecoverChainId_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitRecoverChainId_Revert_NotAFork(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitRecoverChainId_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitRecoverChainId_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitRecoverChainId_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitSetMessageFee(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitSetMessageFee_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitSetMessageFee_Revert_InvalidEvmChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitSetMessageFee_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitSetMessageFee_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitSetMessageFee_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitSetMessageFee_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitSetMessageFee_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testSubmitTransferFees(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testSubmitTransferFees_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testSubmitTransferFees_Revert_InvalidEvmChain(storageSlot: PromiseOrValue<BytesLike>, evmchainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testSubmitTransferFees_Revert_InvalidGuardianSet(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testSubmitTransferFees_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testSubmitTransferFees_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testSubmitTransferFees_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testSubmitTransferFees_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        validSignature(pk: PromiseOrValue<BigNumberish>, hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
    };
    filters: {
        "ContractUpgraded(address,address)"(oldContract?: PromiseOrValue<string> | null, newContract?: PromiseOrValue<string> | null): ContractUpgradedEventFilter;
        ContractUpgraded(oldContract?: PromiseOrValue<string> | null, newContract?: PromiseOrValue<string> | null): ContractUpgradedEventFilter;
        "log(string)"(arg0?: null): logEventFilter;
        log(arg0?: null): logEventFilter;
        "log_address(address)"(arg0?: null): log_addressEventFilter;
        log_address(arg0?: null): log_addressEventFilter;
        "log_array(uint256[])"(val?: null): log_array_uint256_array_EventFilter;
        "log_array(int256[])"(val?: null): log_array_int256_array_EventFilter;
        "log_array(address[])"(val?: null): log_array_address_array_EventFilter;
        "log_bytes(bytes)"(arg0?: null): log_bytesEventFilter;
        log_bytes(arg0?: null): log_bytesEventFilter;
        "log_bytes32(bytes32)"(arg0?: null): log_bytes32EventFilter;
        log_bytes32(arg0?: null): log_bytes32EventFilter;
        "log_int(int256)"(arg0?: null): log_intEventFilter;
        log_int(arg0?: null): log_intEventFilter;
        "log_named_address(string,address)"(key?: null, val?: null): log_named_addressEventFilter;
        log_named_address(key?: null, val?: null): log_named_addressEventFilter;
        "log_named_array(string,uint256[])"(key?: null, val?: null): log_named_array_string_uint256_array_EventFilter;
        "log_named_array(string,int256[])"(key?: null, val?: null): log_named_array_string_int256_array_EventFilter;
        "log_named_array(string,address[])"(key?: null, val?: null): log_named_array_string_address_array_EventFilter;
        "log_named_bytes(string,bytes)"(key?: null, val?: null): log_named_bytesEventFilter;
        log_named_bytes(key?: null, val?: null): log_named_bytesEventFilter;
        "log_named_bytes32(string,bytes32)"(key?: null, val?: null): log_named_bytes32EventFilter;
        log_named_bytes32(key?: null, val?: null): log_named_bytes32EventFilter;
        "log_named_decimal_int(string,int256,uint256)"(key?: null, val?: null, decimals?: null): log_named_decimal_intEventFilter;
        log_named_decimal_int(key?: null, val?: null, decimals?: null): log_named_decimal_intEventFilter;
        "log_named_decimal_uint(string,uint256,uint256)"(key?: null, val?: null, decimals?: null): log_named_decimal_uintEventFilter;
        log_named_decimal_uint(key?: null, val?: null, decimals?: null): log_named_decimal_uintEventFilter;
        "log_named_int(string,int256)"(key?: null, val?: null): log_named_intEventFilter;
        log_named_int(key?: null, val?: null): log_named_intEventFilter;
        "log_named_string(string,string)"(key?: null, val?: null): log_named_stringEventFilter;
        log_named_string(key?: null, val?: null): log_named_stringEventFilter;
        "log_named_uint(string,uint256)"(key?: null, val?: null): log_named_uintEventFilter;
        log_named_uint(key?: null, val?: null): log_named_uintEventFilter;
        "log_string(string)"(arg0?: null): log_stringEventFilter;
        log_string(arg0?: null): log_stringEventFilter;
        "log_uint(uint256)"(arg0?: null): log_uintEventFilter;
        log_uint(arg0?: null): log_uintEventFilter;
        "logs(bytes)"(arg0?: null): logsEventFilter;
        logs(arg0?: null): logsEventFilter;
    };
    estimateGas: {
        IS_TEST(overrides?: CallOverrides): Promise<BigNumber>;
        arrayElementLocation(keyHash: PromiseOrValue<BytesLike>, arrayOffset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<BigNumber>;
        excludeArtifacts(overrides?: CallOverrides): Promise<BigNumber>;
        excludeContracts(overrides?: CallOverrides): Promise<BigNumber>;
        excludeSenders(overrides?: CallOverrides): Promise<BigNumber>;
        failed(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        "hashedLocation(bytes32,bytes32)"(_key: PromiseOrValue<BytesLike>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<BigNumber>;
        "hashedLocation(address,bytes32)"(_key: PromiseOrValue<string>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<BigNumber>;
        hashedLocationOffset(_key: PromiseOrValue<BigNumberish>, _index: PromiseOrValue<BytesLike>, offset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<BigNumber>;
        kevm(overrides?: CallOverrides): Promise<BigNumber>;
        setUp(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        storeWithMask(contractAddress: PromiseOrValue<string>, storageSlot: PromiseOrValue<BytesLike>, content: PromiseOrValue<BytesLike>, mask: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        targetArtifactSelectors(overrides?: CallOverrides): Promise<BigNumber>;
        targetArtifacts(overrides?: CallOverrides): Promise<BigNumber>;
        targetContracts(overrides?: CallOverrides): Promise<BigNumber>;
        targetSelectors(overrides?: CallOverrides): Promise<BigNumber>;
        targetSenders(overrides?: CallOverrides): Promise<BigNumber>;
        testInitialize_after_upgrade_revert(storageSlot: PromiseOrValue<BytesLike>, alice: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitContractUpgrade(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitContractUpgrade_Emit(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitContractUpgrade_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitContractUpgrade_Revert_InvalidFork(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitContractUpgrade_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitContractUpgrade_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitContractUpgrade_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitContractUpgrade_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitContractUpgrade_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitNewGuardianSet(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitNewGuardianSet_Revert_GuardianSetEmpty(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitNewGuardianSet_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitNewGuardianSet_Revert_InvalidEvmChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitNewGuardianSet_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitNewGuardianSet_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitNewGuardianSet_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitNewGuardianSet_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitNewGuardianSet_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitNewGuardianSet_Revert_WrongIndex(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSetIndex: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitRecoverChainId(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitRecoverChainId_Revert_InvalidEVMChain(storageSlot: PromiseOrValue<BytesLike>, blockChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitRecoverChainId_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitRecoverChainId_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitRecoverChainId_Revert_NotAFork(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitRecoverChainId_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitRecoverChainId_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitRecoverChainId_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitSetMessageFee(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitSetMessageFee_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitSetMessageFee_Revert_InvalidEvmChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitSetMessageFee_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitSetMessageFee_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitSetMessageFee_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitSetMessageFee_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitSetMessageFee_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitTransferFees(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitTransferFees_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitTransferFees_Revert_InvalidEvmChain(storageSlot: PromiseOrValue<BytesLike>, evmchainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitTransferFees_Revert_InvalidGuardianSet(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitTransferFees_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitTransferFees_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitTransferFees_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testSubmitTransferFees_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        validSignature(pk: PromiseOrValue<BigNumberish>, hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        IS_TEST(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        arrayElementLocation(keyHash: PromiseOrValue<BytesLike>, arrayOffset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        excludeArtifacts(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        excludeContracts(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        excludeSenders(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        failed(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        "hashedLocation(bytes32,bytes32)"(_key: PromiseOrValue<BytesLike>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        "hashedLocation(address,bytes32)"(_key: PromiseOrValue<string>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        hashedLocationOffset(_key: PromiseOrValue<BigNumberish>, _index: PromiseOrValue<BytesLike>, offset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        kevm(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        setUp(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        storeWithMask(contractAddress: PromiseOrValue<string>, storageSlot: PromiseOrValue<BytesLike>, content: PromiseOrValue<BytesLike>, mask: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        targetArtifactSelectors(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        targetArtifacts(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        targetContracts(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        targetSelectors(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        targetSenders(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        testInitialize_after_upgrade_revert(storageSlot: PromiseOrValue<BytesLike>, alice: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitContractUpgrade(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitContractUpgrade_Emit(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitContractUpgrade_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitContractUpgrade_Revert_InvalidFork(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitContractUpgrade_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitContractUpgrade_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitContractUpgrade_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitContractUpgrade_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitContractUpgrade_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitNewGuardianSet(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitNewGuardianSet_Revert_GuardianSetEmpty(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitNewGuardianSet_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitNewGuardianSet_Revert_InvalidEvmChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitNewGuardianSet_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitNewGuardianSet_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitNewGuardianSet_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitNewGuardianSet_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitNewGuardianSet_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitNewGuardianSet_Revert_WrongIndex(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newGuardianSetIndex: PromiseOrValue<BigNumberish>, newGuardianSet: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitRecoverChainId(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitRecoverChainId_Revert_InvalidEVMChain(storageSlot: PromiseOrValue<BytesLike>, blockChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitRecoverChainId_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitRecoverChainId_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitRecoverChainId_Revert_NotAFork(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitRecoverChainId_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitRecoverChainId_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitRecoverChainId_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitSetMessageFee(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitSetMessageFee_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitSetMessageFee_Revert_InvalidEvmChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitSetMessageFee_Revert_InvalidGuardianSetIndex(storageSlot: PromiseOrValue<BytesLike>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitSetMessageFee_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitSetMessageFee_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitSetMessageFee_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitSetMessageFee_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, newMessageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitTransferFees(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitTransferFees_Revert_InvalidChain(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitTransferFees_Revert_InvalidEvmChain(storageSlot: PromiseOrValue<BytesLike>, evmchainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitTransferFees_Revert_InvalidGuardianSet(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, guardianSetIndex: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitTransferFees_Revert_InvalidModule(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, module: PromiseOrValue<BytesLike>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitTransferFees_Revert_ReplayAttack(storageSlot: PromiseOrValue<BytesLike>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitTransferFees_Revert_WrongGovernanceChain(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterChainId: PromiseOrValue<BigNumberish>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testSubmitTransferFees_Revert_WrongGovernanceContract(storageSlot: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, timestamp: PromiseOrValue<BigNumberish>, nonce: PromiseOrValue<BigNumberish>, emitterAddress: PromiseOrValue<BytesLike>, sequence: PromiseOrValue<BigNumberish>, consistencyLevel: PromiseOrValue<BigNumberish>, chainId: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        validSignature(pk: PromiseOrValue<BigNumberish>, hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
