import type { BaseContract, BigNumber, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../common";
export interface BrickInterface extends utils.Interface {
    functions: {
        "checkAndExecuteUpgradeMigration()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "checkAndExecuteUpgradeMigration"): FunctionFragment;
    encodeFunctionData(functionFragment: "checkAndExecuteUpgradeMigration", values?: undefined): string;
    decodeFunctionResult(functionFragment: "checkAndExecuteUpgradeMigration", data: BytesLike): Result;
    events: {};
}
export interface Brick extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: BrickInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        checkAndExecuteUpgradeMigration(overrides?: CallOverrides): Promise<[void]>;
    };
    checkAndExecuteUpgradeMigration(overrides?: CallOverrides): Promise<void>;
    callStatic: {
        checkAndExecuteUpgradeMigration(overrides?: CallOverrides): Promise<void>;
    };
    filters: {};
    estimateGas: {
        checkAndExecuteUpgradeMigration(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        checkAndExecuteUpgradeMigration(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
