import { LCDClient as TerraLCDClient } from "@terra-money/terra.js";
import { LCDClient as XplaLCDClient } from "@xpla/xpla.js";
import { CHAIN_ID_TERRA, CosmWasmChainId, CosmWasmChainName } from "../utils";
export declare const isNativeDenomInjective: (denom: string) => boolean;
export declare const isNativeDenomXpla: (denom: string) => boolean;
export declare const isNativeDenomSei: (denom: string) => boolean;
export declare const isNativeDenomWormchain: (denom: string) => boolean;
export declare const isNativeDenomOsmosis: (denom: string) => boolean;
export declare const isNativeDenomCosmosHub: (denom: string) => boolean;
export declare const isNativeDenomEvmos: (denom: string) => boolean;
export declare const isNativeDenomKujira: (denom: string) => boolean;
export declare const isNativeDenomCelestia: (denom: string) => boolean;
export declare function isNativeCosmWasmDenom(chainId: CosmWasmChainId, address: string): boolean;
export declare function buildTokenId(chain: Exclude<CosmWasmChainId | CosmWasmChainName, typeof CHAIN_ID_TERRA | "terra">, address: string): string;
export interface ExternalIdResponse {
    token_id: {
        Bank?: {
            denom: string;
        };
        Contract?: {
            NativeCW20?: {
                contract_address: string;
            };
            ForeignToken?: {
                chain_id: string;
                foreign_address: string;
            };
        };
    };
}
export declare const queryExternalId: (client: TerraLCDClient | XplaLCDClient, tokenBridgeAddress: string, externalTokenId: string) => Promise<string | null | undefined>;
