import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent, PromiseOrValue } from "../common";
export declare namespace StdInvariant {
    type FuzzSelectorStruct = {
        addr: PromiseOrValue<string>;
        selectors: PromiseOrValue<BytesLike>[];
    };
    type FuzzSelectorStructOutput = [string, string[]] & {
        addr: string;
        selectors: string[];
    };
}
export interface TestGettersInterface extends utils.Interface {
    functions: {
        "IS_TEST()": FunctionFragment;
        "arrayElementLocation(bytes32,uint8)": FunctionFragment;
        "excludeArtifacts()": FunctionFragment;
        "excludeContracts()": FunctionFragment;
        "excludeSenders()": FunctionFragment;
        "failed()": FunctionFragment;
        "hashedLocation(bytes32,bytes32)": FunctionFragment;
        "hashedLocation(address,bytes32)": FunctionFragment;
        "hashedLocationOffset(uint32,bytes32,uint256)": FunctionFragment;
        "kevm()": FunctionFragment;
        "setUp()": FunctionFragment;
        "storeWithMask(address,bytes32,bytes32,bytes32)": FunctionFragment;
        "targetArtifactSelectors()": FunctionFragment;
        "targetArtifacts()": FunctionFragment;
        "targetContracts()": FunctionFragment;
        "targetSelectors()": FunctionFragment;
        "targetSenders()": FunctionFragment;
        "testChainId(uint16,bytes32)": FunctionFragment;
        "testChainId_KEVM(uint16,bytes32)": FunctionFragment;
        "testEvmChainId(uint256,bytes32)": FunctionFragment;
        "testEvmChainId_KEVM(uint256,bytes32)": FunctionFragment;
        "testGetExpireGuardianSet(uint32,uint32,bytes32)": FunctionFragment;
        "testGetExpireGuardianSet_KEVM(uint32,uint32,bytes32)": FunctionFragment;
        "testGetGovernanceActionConsumed(bytes32,uint8,bytes32)": FunctionFragment;
        "testGetGovernanceActionConsumed_KEVM(bytes32,uint8,bytes32)": FunctionFragment;
        "testGetGovernanceContract(bytes32,bytes32)": FunctionFragment;
        "testGetGovernanceContract_KEVM(bytes32,bytes32)": FunctionFragment;
        "testGetGuardianSetIndex(uint32,bytes32)": FunctionFragment;
        "testGetGuardianSetIndex_KEVM(uint32,bytes32)": FunctionFragment;
        "testGetMessageFee(uint256,bytes32)": FunctionFragment;
        "testGetMessageFee_KEVM(uint256,bytes32)": FunctionFragment;
        "testGovernanceChainId(uint16,bytes32)": FunctionFragment;
        "testGovernanceChainId_KEVM(uint16,bytes32)": FunctionFragment;
        "testIsInitialized(address,uint8,bytes32)": FunctionFragment;
        "testIsInitialized_KEVM(address,uint8,bytes32)": FunctionFragment;
        "testNextSequence(address,uint64,bytes32)": FunctionFragment;
        "testNextSequence_KEVM(address,uint64,bytes32)": FunctionFragment;
        "validSignature(uint256,bytes32)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "IS_TEST" | "arrayElementLocation" | "excludeArtifacts" | "excludeContracts" | "excludeSenders" | "failed" | "hashedLocation(bytes32,bytes32)" | "hashedLocation(address,bytes32)" | "hashedLocationOffset" | "kevm" | "setUp" | "storeWithMask" | "targetArtifactSelectors" | "targetArtifacts" | "targetContracts" | "targetSelectors" | "targetSenders" | "testChainId" | "testChainId_KEVM" | "testEvmChainId" | "testEvmChainId_KEVM" | "testGetExpireGuardianSet" | "testGetExpireGuardianSet_KEVM" | "testGetGovernanceActionConsumed" | "testGetGovernanceActionConsumed_KEVM" | "testGetGovernanceContract" | "testGetGovernanceContract_KEVM" | "testGetGuardianSetIndex" | "testGetGuardianSetIndex_KEVM" | "testGetMessageFee" | "testGetMessageFee_KEVM" | "testGovernanceChainId" | "testGovernanceChainId_KEVM" | "testIsInitialized" | "testIsInitialized_KEVM" | "testNextSequence" | "testNextSequence_KEVM" | "validSignature"): FunctionFragment;
    encodeFunctionData(functionFragment: "IS_TEST", values?: undefined): string;
    encodeFunctionData(functionFragment: "arrayElementLocation", values: [PromiseOrValue<BytesLike>, PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "excludeArtifacts", values?: undefined): string;
    encodeFunctionData(functionFragment: "excludeContracts", values?: undefined): string;
    encodeFunctionData(functionFragment: "excludeSenders", values?: undefined): string;
    encodeFunctionData(functionFragment: "failed", values?: undefined): string;
    encodeFunctionData(functionFragment: "hashedLocation(bytes32,bytes32)", values: [PromiseOrValue<BytesLike>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "hashedLocation(address,bytes32)", values: [PromiseOrValue<string>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "hashedLocationOffset", values: [
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "kevm", values?: undefined): string;
    encodeFunctionData(functionFragment: "setUp", values?: undefined): string;
    encodeFunctionData(functionFragment: "storeWithMask", values: [
        PromiseOrValue<string>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "targetArtifactSelectors", values?: undefined): string;
    encodeFunctionData(functionFragment: "targetArtifacts", values?: undefined): string;
    encodeFunctionData(functionFragment: "targetContracts", values?: undefined): string;
    encodeFunctionData(functionFragment: "targetSelectors", values?: undefined): string;
    encodeFunctionData(functionFragment: "targetSenders", values?: undefined): string;
    encodeFunctionData(functionFragment: "testChainId", values: [PromiseOrValue<BigNumberish>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testChainId_KEVM", values: [PromiseOrValue<BigNumberish>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testEvmChainId", values: [PromiseOrValue<BigNumberish>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testEvmChainId_KEVM", values: [PromiseOrValue<BigNumberish>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testGetExpireGuardianSet", values: [
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testGetExpireGuardianSet_KEVM", values: [
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testGetGovernanceActionConsumed", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testGetGovernanceActionConsumed_KEVM", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testGetGovernanceContract", values: [PromiseOrValue<BytesLike>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testGetGovernanceContract_KEVM", values: [PromiseOrValue<BytesLike>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testGetGuardianSetIndex", values: [PromiseOrValue<BigNumberish>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testGetGuardianSetIndex_KEVM", values: [PromiseOrValue<BigNumberish>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testGetMessageFee", values: [PromiseOrValue<BigNumberish>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testGetMessageFee_KEVM", values: [PromiseOrValue<BigNumberish>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testGovernanceChainId", values: [PromiseOrValue<BigNumberish>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testGovernanceChainId_KEVM", values: [PromiseOrValue<BigNumberish>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testIsInitialized", values: [
        PromiseOrValue<string>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testIsInitialized_KEVM", values: [
        PromiseOrValue<string>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testNextSequence", values: [
        PromiseOrValue<string>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testNextSequence_KEVM", values: [
        PromiseOrValue<string>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "validSignature", values: [PromiseOrValue<BigNumberish>, PromiseOrValue<BytesLike>]): string;
    decodeFunctionResult(functionFragment: "IS_TEST", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "arrayElementLocation", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "excludeArtifacts", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "excludeContracts", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "excludeSenders", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "failed", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "hashedLocation(bytes32,bytes32)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "hashedLocation(address,bytes32)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "hashedLocationOffset", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "kevm", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setUp", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "storeWithMask", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetArtifactSelectors", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetArtifacts", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetContracts", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetSelectors", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetSenders", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testChainId", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testChainId_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testEvmChainId", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testEvmChainId_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testGetExpireGuardianSet", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testGetExpireGuardianSet_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testGetGovernanceActionConsumed", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testGetGovernanceActionConsumed_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testGetGovernanceContract", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testGetGovernanceContract_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testGetGuardianSetIndex", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testGetGuardianSetIndex_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testGetMessageFee", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testGetMessageFee_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testGovernanceChainId", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testGovernanceChainId_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testIsInitialized", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testIsInitialized_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testNextSequence", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testNextSequence_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "validSignature", data: BytesLike): Result;
    events: {
        "log(string)": EventFragment;
        "log_address(address)": EventFragment;
        "log_array(uint256[])": EventFragment;
        "log_array(int256[])": EventFragment;
        "log_array(address[])": EventFragment;
        "log_bytes(bytes)": EventFragment;
        "log_bytes32(bytes32)": EventFragment;
        "log_int(int256)": EventFragment;
        "log_named_address(string,address)": EventFragment;
        "log_named_array(string,uint256[])": EventFragment;
        "log_named_array(string,int256[])": EventFragment;
        "log_named_array(string,address[])": EventFragment;
        "log_named_bytes(string,bytes)": EventFragment;
        "log_named_bytes32(string,bytes32)": EventFragment;
        "log_named_decimal_int(string,int256,uint256)": EventFragment;
        "log_named_decimal_uint(string,uint256,uint256)": EventFragment;
        "log_named_int(string,int256)": EventFragment;
        "log_named_string(string,string)": EventFragment;
        "log_named_uint(string,uint256)": EventFragment;
        "log_string(string)": EventFragment;
        "log_uint(uint256)": EventFragment;
        "logs(bytes)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "log"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_address"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_array(uint256[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_array(int256[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_array(address[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_bytes"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_bytes32"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_int"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_address"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_array(string,uint256[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_array(string,int256[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_array(string,address[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_bytes"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_bytes32"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_decimal_int"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_decimal_uint"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_int"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_string"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_uint"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_string"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_uint"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "logs"): EventFragment;
}
export interface logEventObject {
    arg0: string;
}
export declare type logEvent = TypedEvent<[string], logEventObject>;
export declare type logEventFilter = TypedEventFilter<logEvent>;
export interface log_addressEventObject {
    arg0: string;
}
export declare type log_addressEvent = TypedEvent<[string], log_addressEventObject>;
export declare type log_addressEventFilter = TypedEventFilter<log_addressEvent>;
export interface log_array_uint256_array_EventObject {
    val: BigNumber[];
}
export declare type log_array_uint256_array_Event = TypedEvent<[
    BigNumber[]
], log_array_uint256_array_EventObject>;
export declare type log_array_uint256_array_EventFilter = TypedEventFilter<log_array_uint256_array_Event>;
export interface log_array_int256_array_EventObject {
    val: BigNumber[];
}
export declare type log_array_int256_array_Event = TypedEvent<[
    BigNumber[]
], log_array_int256_array_EventObject>;
export declare type log_array_int256_array_EventFilter = TypedEventFilter<log_array_int256_array_Event>;
export interface log_array_address_array_EventObject {
    val: string[];
}
export declare type log_array_address_array_Event = TypedEvent<[
    string[]
], log_array_address_array_EventObject>;
export declare type log_array_address_array_EventFilter = TypedEventFilter<log_array_address_array_Event>;
export interface log_bytesEventObject {
    arg0: string;
}
export declare type log_bytesEvent = TypedEvent<[string], log_bytesEventObject>;
export declare type log_bytesEventFilter = TypedEventFilter<log_bytesEvent>;
export interface log_bytes32EventObject {
    arg0: string;
}
export declare type log_bytes32Event = TypedEvent<[string], log_bytes32EventObject>;
export declare type log_bytes32EventFilter = TypedEventFilter<log_bytes32Event>;
export interface log_intEventObject {
    arg0: BigNumber;
}
export declare type log_intEvent = TypedEvent<[BigNumber], log_intEventObject>;
export declare type log_intEventFilter = TypedEventFilter<log_intEvent>;
export interface log_named_addressEventObject {
    key: string;
    val: string;
}
export declare type log_named_addressEvent = TypedEvent<[
    string,
    string
], log_named_addressEventObject>;
export declare type log_named_addressEventFilter = TypedEventFilter<log_named_addressEvent>;
export interface log_named_array_string_uint256_array_EventObject {
    key: string;
    val: BigNumber[];
}
export declare type log_named_array_string_uint256_array_Event = TypedEvent<[
    string,
    BigNumber[]
], log_named_array_string_uint256_array_EventObject>;
export declare type log_named_array_string_uint256_array_EventFilter = TypedEventFilter<log_named_array_string_uint256_array_Event>;
export interface log_named_array_string_int256_array_EventObject {
    key: string;
    val: BigNumber[];
}
export declare type log_named_array_string_int256_array_Event = TypedEvent<[
    string,
    BigNumber[]
], log_named_array_string_int256_array_EventObject>;
export declare type log_named_array_string_int256_array_EventFilter = TypedEventFilter<log_named_array_string_int256_array_Event>;
export interface log_named_array_string_address_array_EventObject {
    key: string;
    val: string[];
}
export declare type log_named_array_string_address_array_Event = TypedEvent<[
    string,
    string[]
], log_named_array_string_address_array_EventObject>;
export declare type log_named_array_string_address_array_EventFilter = TypedEventFilter<log_named_array_string_address_array_Event>;
export interface log_named_bytesEventObject {
    key: string;
    val: string;
}
export declare type log_named_bytesEvent = TypedEvent<[
    string,
    string
], log_named_bytesEventObject>;
export declare type log_named_bytesEventFilter = TypedEventFilter<log_named_bytesEvent>;
export interface log_named_bytes32EventObject {
    key: string;
    val: string;
}
export declare type log_named_bytes32Event = TypedEvent<[
    string,
    string
], log_named_bytes32EventObject>;
export declare type log_named_bytes32EventFilter = TypedEventFilter<log_named_bytes32Event>;
export interface log_named_decimal_intEventObject {
    key: string;
    val: BigNumber;
    decimals: BigNumber;
}
export declare type log_named_decimal_intEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], log_named_decimal_intEventObject>;
export declare type log_named_decimal_intEventFilter = TypedEventFilter<log_named_decimal_intEvent>;
export interface log_named_decimal_uintEventObject {
    key: string;
    val: BigNumber;
    decimals: BigNumber;
}
export declare type log_named_decimal_uintEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], log_named_decimal_uintEventObject>;
export declare type log_named_decimal_uintEventFilter = TypedEventFilter<log_named_decimal_uintEvent>;
export interface log_named_intEventObject {
    key: string;
    val: BigNumber;
}
export declare type log_named_intEvent = TypedEvent<[
    string,
    BigNumber
], log_named_intEventObject>;
export declare type log_named_intEventFilter = TypedEventFilter<log_named_intEvent>;
export interface log_named_stringEventObject {
    key: string;
    val: string;
}
export declare type log_named_stringEvent = TypedEvent<[
    string,
    string
], log_named_stringEventObject>;
export declare type log_named_stringEventFilter = TypedEventFilter<log_named_stringEvent>;
export interface log_named_uintEventObject {
    key: string;
    val: BigNumber;
}
export declare type log_named_uintEvent = TypedEvent<[
    string,
    BigNumber
], log_named_uintEventObject>;
export declare type log_named_uintEventFilter = TypedEventFilter<log_named_uintEvent>;
export interface log_stringEventObject {
    arg0: string;
}
export declare type log_stringEvent = TypedEvent<[string], log_stringEventObject>;
export declare type log_stringEventFilter = TypedEventFilter<log_stringEvent>;
export interface log_uintEventObject {
    arg0: BigNumber;
}
export declare type log_uintEvent = TypedEvent<[BigNumber], log_uintEventObject>;
export declare type log_uintEventFilter = TypedEventFilter<log_uintEvent>;
export interface logsEventObject {
    arg0: string;
}
export declare type logsEvent = TypedEvent<[string], logsEventObject>;
export declare type logsEventFilter = TypedEventFilter<logsEvent>;
export interface TestGetters extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: TestGettersInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        IS_TEST(overrides?: CallOverrides): Promise<[boolean]>;
        arrayElementLocation(keyHash: PromiseOrValue<BytesLike>, arrayOffset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<[string]>;
        excludeArtifacts(overrides?: CallOverrides): Promise<[string[]] & {
            excludedArtifacts_: string[];
        }>;
        excludeContracts(overrides?: CallOverrides): Promise<[string[]] & {
            excludedContracts_: string[];
        }>;
        excludeSenders(overrides?: CallOverrides): Promise<[string[]] & {
            excludedSenders_: string[];
        }>;
        failed(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        "hashedLocation(bytes32,bytes32)"(_key: PromiseOrValue<BytesLike>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<[string]>;
        "hashedLocation(address,bytes32)"(_key: PromiseOrValue<string>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<[string]>;
        hashedLocationOffset(_key: PromiseOrValue<BigNumberish>, _index: PromiseOrValue<BytesLike>, offset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<[string]>;
        kevm(overrides?: CallOverrides): Promise<[string]>;
        setUp(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        storeWithMask(contractAddress: PromiseOrValue<string>, storageSlot: PromiseOrValue<BytesLike>, content: PromiseOrValue<BytesLike>, mask: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        targetArtifactSelectors(overrides?: CallOverrides): Promise<[
            StdInvariant.FuzzSelectorStructOutput[]
        ] & {
            targetedArtifactSelectors_: StdInvariant.FuzzSelectorStructOutput[];
        }>;
        targetArtifacts(overrides?: CallOverrides): Promise<[string[]] & {
            targetedArtifacts_: string[];
        }>;
        targetContracts(overrides?: CallOverrides): Promise<[string[]] & {
            targetedContracts_: string[];
        }>;
        targetSelectors(overrides?: CallOverrides): Promise<[
            StdInvariant.FuzzSelectorStructOutput[]
        ] & {
            targetedSelectors_: StdInvariant.FuzzSelectorStructOutput[];
        }>;
        targetSenders(overrides?: CallOverrides): Promise<[string[]] & {
            targetedSenders_: string[];
        }>;
        testChainId(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testChainId_KEVM(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testEvmChainId(newEvmChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testEvmChainId_KEVM(newEvmChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testGetExpireGuardianSet(timestamp: PromiseOrValue<BigNumberish>, index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testGetExpireGuardianSet_KEVM(timestamp: PromiseOrValue<BigNumberish>, index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testGetGovernanceActionConsumed(hash: PromiseOrValue<BytesLike>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testGetGovernanceActionConsumed_KEVM(hash: PromiseOrValue<BytesLike>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testGetGovernanceContract(newGovernanceContract: PromiseOrValue<BytesLike>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testGetGovernanceContract_KEVM(newGovernanceContract: PromiseOrValue<BytesLike>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testGetGuardianSetIndex(index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testGetGuardianSetIndex_KEVM(index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testGetMessageFee(newFee: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testGetMessageFee_KEVM(newFee: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testGovernanceChainId(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testGovernanceChainId_KEVM(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testIsInitialized(newImplementation: PromiseOrValue<string>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testIsInitialized_KEVM(newImplementation: PromiseOrValue<string>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testNextSequence(emitter: PromiseOrValue<string>, sequence: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testNextSequence_KEVM(emitter: PromiseOrValue<string>, sequence: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        validSignature(pk: PromiseOrValue<BigNumberish>, hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<[string] & {
            signature: string;
        }>;
    };
    IS_TEST(overrides?: CallOverrides): Promise<boolean>;
    arrayElementLocation(keyHash: PromiseOrValue<BytesLike>, arrayOffset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<string>;
    excludeArtifacts(overrides?: CallOverrides): Promise<string[]>;
    excludeContracts(overrides?: CallOverrides): Promise<string[]>;
    excludeSenders(overrides?: CallOverrides): Promise<string[]>;
    failed(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    "hashedLocation(bytes32,bytes32)"(_key: PromiseOrValue<BytesLike>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
    "hashedLocation(address,bytes32)"(_key: PromiseOrValue<string>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
    hashedLocationOffset(_key: PromiseOrValue<BigNumberish>, _index: PromiseOrValue<BytesLike>, offset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<string>;
    kevm(overrides?: CallOverrides): Promise<string>;
    setUp(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    storeWithMask(contractAddress: PromiseOrValue<string>, storageSlot: PromiseOrValue<BytesLike>, content: PromiseOrValue<BytesLike>, mask: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    targetArtifactSelectors(overrides?: CallOverrides): Promise<StdInvariant.FuzzSelectorStructOutput[]>;
    targetArtifacts(overrides?: CallOverrides): Promise<string[]>;
    targetContracts(overrides?: CallOverrides): Promise<string[]>;
    targetSelectors(overrides?: CallOverrides): Promise<StdInvariant.FuzzSelectorStructOutput[]>;
    targetSenders(overrides?: CallOverrides): Promise<string[]>;
    testChainId(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testChainId_KEVM(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testEvmChainId(newEvmChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testEvmChainId_KEVM(newEvmChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testGetExpireGuardianSet(timestamp: PromiseOrValue<BigNumberish>, index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testGetExpireGuardianSet_KEVM(timestamp: PromiseOrValue<BigNumberish>, index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testGetGovernanceActionConsumed(hash: PromiseOrValue<BytesLike>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testGetGovernanceActionConsumed_KEVM(hash: PromiseOrValue<BytesLike>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testGetGovernanceContract(newGovernanceContract: PromiseOrValue<BytesLike>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testGetGovernanceContract_KEVM(newGovernanceContract: PromiseOrValue<BytesLike>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testGetGuardianSetIndex(index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testGetGuardianSetIndex_KEVM(index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testGetMessageFee(newFee: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testGetMessageFee_KEVM(newFee: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testGovernanceChainId(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testGovernanceChainId_KEVM(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testIsInitialized(newImplementation: PromiseOrValue<string>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testIsInitialized_KEVM(newImplementation: PromiseOrValue<string>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testNextSequence(emitter: PromiseOrValue<string>, sequence: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testNextSequence_KEVM(emitter: PromiseOrValue<string>, sequence: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    validSignature(pk: PromiseOrValue<BigNumberish>, hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
    callStatic: {
        IS_TEST(overrides?: CallOverrides): Promise<boolean>;
        arrayElementLocation(keyHash: PromiseOrValue<BytesLike>, arrayOffset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<string>;
        excludeArtifacts(overrides?: CallOverrides): Promise<string[]>;
        excludeContracts(overrides?: CallOverrides): Promise<string[]>;
        excludeSenders(overrides?: CallOverrides): Promise<string[]>;
        failed(overrides?: CallOverrides): Promise<boolean>;
        "hashedLocation(bytes32,bytes32)"(_key: PromiseOrValue<BytesLike>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
        "hashedLocation(address,bytes32)"(_key: PromiseOrValue<string>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
        hashedLocationOffset(_key: PromiseOrValue<BigNumberish>, _index: PromiseOrValue<BytesLike>, offset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<string>;
        kevm(overrides?: CallOverrides): Promise<string>;
        setUp(overrides?: CallOverrides): Promise<void>;
        storeWithMask(contractAddress: PromiseOrValue<string>, storageSlot: PromiseOrValue<BytesLike>, content: PromiseOrValue<BytesLike>, mask: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
        targetArtifactSelectors(overrides?: CallOverrides): Promise<StdInvariant.FuzzSelectorStructOutput[]>;
        targetArtifacts(overrides?: CallOverrides): Promise<string[]>;
        targetContracts(overrides?: CallOverrides): Promise<string[]>;
        targetSelectors(overrides?: CallOverrides): Promise<StdInvariant.FuzzSelectorStructOutput[]>;
        targetSenders(overrides?: CallOverrides): Promise<string[]>;
        testChainId(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testChainId_KEVM(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testEvmChainId(newEvmChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testEvmChainId_KEVM(newEvmChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testGetExpireGuardianSet(timestamp: PromiseOrValue<BigNumberish>, index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testGetExpireGuardianSet_KEVM(timestamp: PromiseOrValue<BigNumberish>, index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testGetGovernanceActionConsumed(hash: PromiseOrValue<BytesLike>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testGetGovernanceActionConsumed_KEVM(hash: PromiseOrValue<BytesLike>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testGetGovernanceContract(newGovernanceContract: PromiseOrValue<BytesLike>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testGetGovernanceContract_KEVM(newGovernanceContract: PromiseOrValue<BytesLike>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testGetGuardianSetIndex(index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testGetGuardianSetIndex_KEVM(index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testGetMessageFee(newFee: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testGetMessageFee_KEVM(newFee: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testGovernanceChainId(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testGovernanceChainId_KEVM(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testIsInitialized(newImplementation: PromiseOrValue<string>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testIsInitialized_KEVM(newImplementation: PromiseOrValue<string>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testNextSequence(emitter: PromiseOrValue<string>, sequence: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testNextSequence_KEVM(emitter: PromiseOrValue<string>, sequence: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        validSignature(pk: PromiseOrValue<BigNumberish>, hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
    };
    filters: {
        "log(string)"(arg0?: null): logEventFilter;
        log(arg0?: null): logEventFilter;
        "log_address(address)"(arg0?: null): log_addressEventFilter;
        log_address(arg0?: null): log_addressEventFilter;
        "log_array(uint256[])"(val?: null): log_array_uint256_array_EventFilter;
        "log_array(int256[])"(val?: null): log_array_int256_array_EventFilter;
        "log_array(address[])"(val?: null): log_array_address_array_EventFilter;
        "log_bytes(bytes)"(arg0?: null): log_bytesEventFilter;
        log_bytes(arg0?: null): log_bytesEventFilter;
        "log_bytes32(bytes32)"(arg0?: null): log_bytes32EventFilter;
        log_bytes32(arg0?: null): log_bytes32EventFilter;
        "log_int(int256)"(arg0?: null): log_intEventFilter;
        log_int(arg0?: null): log_intEventFilter;
        "log_named_address(string,address)"(key?: null, val?: null): log_named_addressEventFilter;
        log_named_address(key?: null, val?: null): log_named_addressEventFilter;
        "log_named_array(string,uint256[])"(key?: null, val?: null): log_named_array_string_uint256_array_EventFilter;
        "log_named_array(string,int256[])"(key?: null, val?: null): log_named_array_string_int256_array_EventFilter;
        "log_named_array(string,address[])"(key?: null, val?: null): log_named_array_string_address_array_EventFilter;
        "log_named_bytes(string,bytes)"(key?: null, val?: null): log_named_bytesEventFilter;
        log_named_bytes(key?: null, val?: null): log_named_bytesEventFilter;
        "log_named_bytes32(string,bytes32)"(key?: null, val?: null): log_named_bytes32EventFilter;
        log_named_bytes32(key?: null, val?: null): log_named_bytes32EventFilter;
        "log_named_decimal_int(string,int256,uint256)"(key?: null, val?: null, decimals?: null): log_named_decimal_intEventFilter;
        log_named_decimal_int(key?: null, val?: null, decimals?: null): log_named_decimal_intEventFilter;
        "log_named_decimal_uint(string,uint256,uint256)"(key?: null, val?: null, decimals?: null): log_named_decimal_uintEventFilter;
        log_named_decimal_uint(key?: null, val?: null, decimals?: null): log_named_decimal_uintEventFilter;
        "log_named_int(string,int256)"(key?: null, val?: null): log_named_intEventFilter;
        log_named_int(key?: null, val?: null): log_named_intEventFilter;
        "log_named_string(string,string)"(key?: null, val?: null): log_named_stringEventFilter;
        log_named_string(key?: null, val?: null): log_named_stringEventFilter;
        "log_named_uint(string,uint256)"(key?: null, val?: null): log_named_uintEventFilter;
        log_named_uint(key?: null, val?: null): log_named_uintEventFilter;
        "log_string(string)"(arg0?: null): log_stringEventFilter;
        log_string(arg0?: null): log_stringEventFilter;
        "log_uint(uint256)"(arg0?: null): log_uintEventFilter;
        log_uint(arg0?: null): log_uintEventFilter;
        "logs(bytes)"(arg0?: null): logsEventFilter;
        logs(arg0?: null): logsEventFilter;
    };
    estimateGas: {
        IS_TEST(overrides?: CallOverrides): Promise<BigNumber>;
        arrayElementLocation(keyHash: PromiseOrValue<BytesLike>, arrayOffset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<BigNumber>;
        excludeArtifacts(overrides?: CallOverrides): Promise<BigNumber>;
        excludeContracts(overrides?: CallOverrides): Promise<BigNumber>;
        excludeSenders(overrides?: CallOverrides): Promise<BigNumber>;
        failed(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        "hashedLocation(bytes32,bytes32)"(_key: PromiseOrValue<BytesLike>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<BigNumber>;
        "hashedLocation(address,bytes32)"(_key: PromiseOrValue<string>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<BigNumber>;
        hashedLocationOffset(_key: PromiseOrValue<BigNumberish>, _index: PromiseOrValue<BytesLike>, offset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<BigNumber>;
        kevm(overrides?: CallOverrides): Promise<BigNumber>;
        setUp(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        storeWithMask(contractAddress: PromiseOrValue<string>, storageSlot: PromiseOrValue<BytesLike>, content: PromiseOrValue<BytesLike>, mask: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        targetArtifactSelectors(overrides?: CallOverrides): Promise<BigNumber>;
        targetArtifacts(overrides?: CallOverrides): Promise<BigNumber>;
        targetContracts(overrides?: CallOverrides): Promise<BigNumber>;
        targetSelectors(overrides?: CallOverrides): Promise<BigNumber>;
        targetSenders(overrides?: CallOverrides): Promise<BigNumber>;
        testChainId(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testChainId_KEVM(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testEvmChainId(newEvmChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testEvmChainId_KEVM(newEvmChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testGetExpireGuardianSet(timestamp: PromiseOrValue<BigNumberish>, index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testGetExpireGuardianSet_KEVM(timestamp: PromiseOrValue<BigNumberish>, index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testGetGovernanceActionConsumed(hash: PromiseOrValue<BytesLike>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testGetGovernanceActionConsumed_KEVM(hash: PromiseOrValue<BytesLike>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testGetGovernanceContract(newGovernanceContract: PromiseOrValue<BytesLike>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testGetGovernanceContract_KEVM(newGovernanceContract: PromiseOrValue<BytesLike>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testGetGuardianSetIndex(index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testGetGuardianSetIndex_KEVM(index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testGetMessageFee(newFee: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testGetMessageFee_KEVM(newFee: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testGovernanceChainId(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testGovernanceChainId_KEVM(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testIsInitialized(newImplementation: PromiseOrValue<string>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testIsInitialized_KEVM(newImplementation: PromiseOrValue<string>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testNextSequence(emitter: PromiseOrValue<string>, sequence: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testNextSequence_KEVM(emitter: PromiseOrValue<string>, sequence: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        validSignature(pk: PromiseOrValue<BigNumberish>, hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        IS_TEST(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        arrayElementLocation(keyHash: PromiseOrValue<BytesLike>, arrayOffset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        excludeArtifacts(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        excludeContracts(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        excludeSenders(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        failed(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        "hashedLocation(bytes32,bytes32)"(_key: PromiseOrValue<BytesLike>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        "hashedLocation(address,bytes32)"(_key: PromiseOrValue<string>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        hashedLocationOffset(_key: PromiseOrValue<BigNumberish>, _index: PromiseOrValue<BytesLike>, offset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        kevm(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        setUp(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        storeWithMask(contractAddress: PromiseOrValue<string>, storageSlot: PromiseOrValue<BytesLike>, content: PromiseOrValue<BytesLike>, mask: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        targetArtifactSelectors(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        targetArtifacts(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        targetContracts(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        targetSelectors(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        targetSenders(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        testChainId(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testChainId_KEVM(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testEvmChainId(newEvmChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testEvmChainId_KEVM(newEvmChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testGetExpireGuardianSet(timestamp: PromiseOrValue<BigNumberish>, index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testGetExpireGuardianSet_KEVM(timestamp: PromiseOrValue<BigNumberish>, index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testGetGovernanceActionConsumed(hash: PromiseOrValue<BytesLike>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testGetGovernanceActionConsumed_KEVM(hash: PromiseOrValue<BytesLike>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testGetGovernanceContract(newGovernanceContract: PromiseOrValue<BytesLike>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testGetGovernanceContract_KEVM(newGovernanceContract: PromiseOrValue<BytesLike>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testGetGuardianSetIndex(index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testGetGuardianSetIndex_KEVM(index: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testGetMessageFee(newFee: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testGetMessageFee_KEVM(newFee: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testGovernanceChainId(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testGovernanceChainId_KEVM(newChainId: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testIsInitialized(newImplementation: PromiseOrValue<string>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testIsInitialized_KEVM(newImplementation: PromiseOrValue<string>, initialized: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testNextSequence(emitter: PromiseOrValue<string>, sequence: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testNextSequence_KEVM(emitter: PromiseOrValue<string>, sequence: PromiseOrValue<BigNumberish>, storageSlot: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        validSignature(pk: PromiseOrValue<BigNumberish>, hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
