import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent, PromiseOrValue } from "./common";
export interface MySettersInterface extends utils.Interface {
    functions: {
        "expireGuardianSet_external(uint32)": FunctionFragment;
        "setChainId_external(uint16)": FunctionFragment;
        "setEvmChainId_external(uint256)": FunctionFragment;
        "setGovernanceActionConsumed_external(bytes32)": FunctionFragment;
        "setGovernanceChainId_external(uint16)": FunctionFragment;
        "setGovernanceContract_external(bytes32)": FunctionFragment;
        "setInitialized_external(address)": FunctionFragment;
        "setMessageFee_external(uint256)": FunctionFragment;
        "setNextSequence_external(address,uint64)": FunctionFragment;
        "updateGuardianSetIndex_external(uint32)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "expireGuardianSet_external" | "setChainId_external" | "setEvmChainId_external" | "setGovernanceActionConsumed_external" | "setGovernanceChainId_external" | "setGovernanceContract_external" | "setInitialized_external" | "setMessageFee_external" | "setNextSequence_external" | "updateGuardianSetIndex_external"): FunctionFragment;
    encodeFunctionData(functionFragment: "expireGuardianSet_external", values: [PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "setChainId_external", values: [PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "setEvmChainId_external", values: [PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "setGovernanceActionConsumed_external", values: [PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "setGovernanceChainId_external", values: [PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "setGovernanceContract_external", values: [PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "setInitialized_external", values: [PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "setMessageFee_external", values: [PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "setNextSequence_external", values: [PromiseOrValue<string>, PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "updateGuardianSetIndex_external", values: [PromiseOrValue<BigNumberish>]): string;
    decodeFunctionResult(functionFragment: "expireGuardianSet_external", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setChainId_external", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setEvmChainId_external", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setGovernanceActionConsumed_external", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setGovernanceChainId_external", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setGovernanceContract_external", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setInitialized_external", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setMessageFee_external", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setNextSequence_external", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "updateGuardianSetIndex_external", data: BytesLike): Result;
    events: {};
}
export interface MySetters extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: MySettersInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        expireGuardianSet_external(index: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setChainId_external(chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setEvmChainId_external(evmChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setGovernanceActionConsumed_external(hash: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setGovernanceChainId_external(chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setGovernanceContract_external(governanceContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setInitialized_external(implementation: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setMessageFee_external(newFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setNextSequence_external(emitter: PromiseOrValue<string>, sequence: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        updateGuardianSetIndex_external(newIndex: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
    };
    expireGuardianSet_external(index: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setChainId_external(chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setEvmChainId_external(evmChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setGovernanceActionConsumed_external(hash: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setGovernanceChainId_external(chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setGovernanceContract_external(governanceContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setInitialized_external(implementation: PromiseOrValue<string>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setMessageFee_external(newFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setNextSequence_external(emitter: PromiseOrValue<string>, sequence: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    updateGuardianSetIndex_external(newIndex: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    callStatic: {
        expireGuardianSet_external(index: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        setChainId_external(chainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        setEvmChainId_external(evmChainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        setGovernanceActionConsumed_external(hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        setGovernanceChainId_external(chainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        setGovernanceContract_external(governanceContract: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        setInitialized_external(implementation: PromiseOrValue<string>, overrides?: CallOverrides): Promise<void>;
        setMessageFee_external(newFee: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        setNextSequence_external(emitter: PromiseOrValue<string>, sequence: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        updateGuardianSetIndex_external(newIndex: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
    };
    filters: {};
    estimateGas: {
        expireGuardianSet_external(index: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setChainId_external(chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setEvmChainId_external(evmChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setGovernanceActionConsumed_external(hash: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setGovernanceChainId_external(chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setGovernanceContract_external(governanceContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setInitialized_external(implementation: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setMessageFee_external(newFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setNextSequence_external(emitter: PromiseOrValue<string>, sequence: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        updateGuardianSetIndex_external(newIndex: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        expireGuardianSet_external(index: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setChainId_external(chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setEvmChainId_external(evmChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setGovernanceActionConsumed_external(hash: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setGovernanceChainId_external(chainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setGovernanceContract_external(governanceContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setInitialized_external(implementation: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setMessageFee_external(newFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setNextSequence_external(emitter: PromiseOrValue<string>, sequence: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        updateGuardianSetIndex_external(newIndex: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
    };
}
